﻿using System;
using Microsoft.WindowsAzure.StorageClient;

namespace WorkerRole
{
    public class EventLog : TableServiceEntity
    {
        public EventLog()
        {
            PartitionKey = DateTime.Now.Year.ToString() + "_" + DateTime.Now.Day.ToString();
            RowKey = string.Format("{0:10}_{1}", DateTime.MaxValue.Ticks - DateTime.Now.Ticks, Guid.NewGuid());
        }

        public DateTime EventTime { get; set; }
        public string Description { get; set; }
        public string Remarks { get; set; }
    }
}
